Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
POSTHardware SDN Controller OperationsSince 3.7.0SynchronousAuth Required

AddSdnController

AddSdnController

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vendorTypeStringRequired

      No description provided.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • ipStringRequired

      来源IP地址。

    • userNameString

      Optional. The user name.

    • passwordString

      Optional. The password.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

    • zoneUuidString

      Optional. The zone UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • hostRefsListRequired

    5.3.0

Responses

200 OK

On success, this API returns the following response structure.

  • successBooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySdnControllerInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • vendorTypeStringRequired

      No description provided.

    • vendorVersionStringRequired

      The vendor version.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • ipStringRequired

      来源IP地址。

    • usernameStringRequired

      用户名。

    • passwordStringRequired

      密码。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusSdnControllerStatusRequired

      See status.

      • ConnectingSdnControllerStatusRequired

        Connecting.

      • ConnectedSdnControllerStatusRequired

        Connected.

      • DisconnectedSdnControllerStatusRequired

        Disconnected.

    • hostRefsListRequired

      See host Refs.

      • sdnControllerUuidStringRequired

        The SDN controller UUID.

      • hostUuidStringRequired

        The host UUID.

      • vSwitchTypeStringRequired

        The virtual switch type.

      • vtepIpStringRequired

        The VTEP IP.

      • nicPciAddressesStringRequired

        The NIC PCI address mapping.

      • nicDriversStringRequired

        The NIC driver mapping.

      • netmaskStringRequired

        The VTEP IP netmask.

      • bondModeStringRequired

        The NIC bond mode.

      • lacpModeStringRequired

        The NIC LACP mode.

Endpoint

POST/zstack/v1/sdn-controllers

/zstack/v1/sdn-controllers

Operation ID

AddSdnController

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sdn-controllers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vendorType":"<vendorType>","name":"<name>","description":"<description>","ip":"<ip>","userName":"<userName>","password":"<password>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"zoneUuid":"<zoneUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"],"hostRefs":["<hostRefs>"]}'

Response Example

200
{ "inventory": { "uuid": "2f7e443a152833efb0f4b7d196a35ce0", "vendorType": "H3C VCFC", "name": "sdn-1", "description": "sdn controller from vendor", "ip": "192.168.1.1", "username": "admin", "password": "password" } }

Change History

This API has no change history records yet.

View all change history